# Generated from simple_sync-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simple_sync

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A simple library for synching a given list of source files/directories to a specified output directory
License: MIT
URL: http://github.com/nclaburn/simple_sync
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.9
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-nav) >= 0.2
# BuildRequires: rubygem(pry-nav) < 1
# BuildRequires: rubygem(autotest-standalone) >= 4.4
# BuildRequires: rubygem(autotest-standalone) < 5
BuildArch: noarch

%description
A library for synching a given list of source files/directories to a specified
output directory. The library wraps a call to rsync, which provide
synchronization capabilities.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/simple_sync
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/simple_sync.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.0-1
- Initial package
